Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin.util
Interface JettyPluginServer

All Superinterfaces:
  Proxy

All Known Implementing Classes:
  Jetty6PluginServer

    public interface JettyPluginServer

extends Proxy

JettyPluginServer Type to hide differences in API for different versions of Jetty for Server class.

Method Summary
`void` | `addWebApplication(JettyPluginWebApplication webapp)`
`void` | `configureHandlers()`
`Object` | `createDefaultConnector(String port)`
`JettyPluginWebApplication` | `createWebApplication()`
`Object[]` | `getConnectors()`
`Object` | `getRequestLog()`
`Object[]` | `getUserRealms()`
`void` | `join()`
`void` | `setConnectors(Object[] connectors)`
`void` | `setRequestLog(Object requestLog)`
`void` | `setUserRealms(Object[] realms)`
`void` | `start()`

Methods inherited from interface org.mortbay.jetty.plugin.util.Proxy
`getProxiedObject`

Method Detail

### setRequestLog

    void setRequestLog(Object requestLog)

### getRequestLog

    Object getRequestLog()

### setConnectors

    void setConnectors(Object[] connectors)
                       throws Exception

  Throws:
    `Exception`

### getConnectors

    Object[] getConnectors()

### setUserRealms

    void setUserRealms(Object[] realms)
                       throws Exception

  Throws:
    `Exception`

### getUserRealms

    Object[] getUserRealms()

### configureHandlers

    void configureHandlers()
                           throws Exception

  Throws:
    `Exception`

### addWebApplication

    void addWebApplication(JettyPluginWebApplication webapp)
                           throws Exception

  Throws:
    `Exception`

### start

    void start()
               throws Exception

  Throws:
    `Exception`

### createDefaultConnector

    Object createDefaultConnector(String port)
                                  throws Exception

  Throws:
    `Exception`

### createWebApplication

    JettyPluginWebApplication createWebApplication()
                                                   throws Exception

  Throws:
    `Exception`

### join

    void join()
              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.